#2968 closed defect (fixed)

newlib inttypes.h is missing some methods

Reported by: Joel Sherrill Owned by:
Priority: normal Milestone: 5.1
Component: unspecified Version: 5
Severity: normal Keywords: POSIX-Compliance
Cc: Blocked By:
Blocking:

Description

inttypes.h defines some methods which are not present but required for POSIX compliance. They are also included in the FACE General Purpose Profile.

intmax_t imaxabs(intmax_t);
imaxdiv_t imaxdiv(intmax_t, intmax_t);
intmax_t strtoimax(const char *restrict, char restrict, int);
uintmax_t strtoumax(const char *restrict, char
restrict, int);
intmax_t wcstoimax(const wchar_t *restrict, wchar_t restrict, int);
uintmax_t wcstoumax(const wchar_t *restrict, wchar_t
restrict, int);

This was originally discussed here (https://sourceware.org/ml/newlib/2013/msg00626.html) with follow up discussion here (https://sourceware.org/ml/newlib/2017/msg00240.html).

The consensus seems to be that the methods as currently implemented in FreeBSD address the concerns raised in that email thread.

This ticket is complete when:

  • source for these methods is merged into newlib
  • methods are documented in newlib
  • RSB is updated appropriately
  • tests are added to RTEMS
  • RTEMS POSIX Compliance spreadsheet (https://goo.gl/AXrnxO) is updated

Change History (5)

comment:1 Changed on Apr 3, 2017 at 11:20:55 PM by Joel Sherrill

Keywords: POSIX-Compliance added

comment:2 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:3 Changed on Jun 8, 2017 at 7:51:50 AM by Sebastian Huber

Milestone: 4.12.0Indefinite

comment:4 Changed on Mar 26, 2018 at 5:18:01 PM by Joel Sherrill

Resolution: fixed
Status: newclosed

All of these methods are now present.

comment:5 Changed on Mar 26, 2018 at 5:18:20 PM by Joel Sherrill

Milestone: Indefinite5.1
Note: See TracTickets for help on using tickets.